function [] = StdShade_v2(Mean,Std,Color,Divide)
    alpha=0.25;
    d=size(Mean,2);
    X=[(1/d):1:d, d:-1:(1/d)]./Divide;
    [a,b] = size(Mean);
    if a > b
        Y=[Mean-Std; flip(Mean+Std)];
    else
        Y=[Mean-Std flip(Mean+Std)];
    end
    c=fill(X,Y,Color,'FaceAlpha', alpha,'linestyle','none');
    c.Annotation.LegendInformation.IconDisplayStyle = 'off';
end